---- IsInNet ----
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[IsInNet]') and xtype in (N'FN', N'IF', N'TF'))
drop function [dbo].[IsInNet]
GO
CREATE  function IsInNet (@ObjID int)
returns bit
as
begin
  declare @res bit
  declare @ParentID int
  declare @TypeID int
  select @ParentID = IsNull(Код_объекта_владельца,0), @TypeID = Код_типа_объекта from Объект where Код_объекта = @ObjID
  while @ParentID<>0
  begin
    set @ObjID = @ParentID
    select @ParentID = IsNull(Код_объекта_владельца,0), @TypeID = Код_типа_объекта from Объект where Код_объекта = @ObjID
  end
  if @TypeID = 1000 set @res = 1 else set @res = 0
  return @res
end
